org.eclipse.microprofile.metrics.tck.metrics

## Class SimpleTimerFunctionalTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.SimpleTimerFunctionalTest

    public class SimpleTimerFunctionalTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SimpleTimerFunctionalTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testMinMaxEqual()` This test will test that the min and max values are the same if only one invocation of the bean's method has occured

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleTimerFunctionalTest

    public SimpleTimerFunctionalTest()

### Method Detail

#### testMinMaxEqual

    @InSequence(value=1)
    public void testMinMaxEqual()
                                              throws TimeoutException,
                                                     InterruptedException

This test will test that the min and max values are the same if only one invocation of the bean's method has occured

Throws:
  `TimeoutException`
  `InterruptedException`